"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiAccountsQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiAccountsQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'accounts', args: [] });
    }
    count() {
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    count24h() {
        this.addToPath({ name: 'count24h', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    dailyNumberOfActiveAccounts() {
        this.addToPath({ name: 'dailyNumberOfActiveAccounts', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiAccountsQueryBuilder = DataApiAccountsQueryBuilder;
//# sourceMappingURL=accounts.query.builder.js.map