"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiContractsQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiContractsQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'contracts', args: [] });
    }
    count() {
        this.addToPath({ name: 'count', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    count24h() {
        this.addToPath({ name: 'count24h', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiContractsQueryBuilder = DataApiContractsQueryBuilder;
//# sourceMappingURL=contracts.query.builder.js.map