import { TimeRange } from '../../entities';
import { DataApiLastQuery } from '../../queries';
import { DataApiAggregateOrHistoricalQueryBuilder } from './aggregate.or.historical.query.builder';
import { DataApiBaseQueryBuilder } from './base.query.builder';
export declare class DataApiLastOrAggregateQueryBuilder extends DataApiBaseQueryBuilder {
    constructor(query: DataApiBaseQueryBuilder);
    getLast(): DataApiLastQuery;
    withTimeRange(range: TimeRange): DataApiAggregateOrHistoricalQueryBuilder;
    fromDate(date: Date): DataApiAggregateOrHistoricalQueryBuilder;
    betweenDates(startDate: Date, endDate?: Date): DataApiAggregateOrHistoricalQueryBuilder;
}
