"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiTokensQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiTokensQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'tokens', args: [] });
    }
    dailyNumberOfTokenTransfers() {
        this.addToPath({ name: 'dailyNumberOfTokenTransfers', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiTokensQueryBuilder = DataApiTokensQueryBuilder;
//# sourceMappingURL=tokens.query.builder.js.map