"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiTransactionsQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiTransactionsQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'transactions', args: [] });
    }
    dailyFeesCaptured() {
        this.addToPath({ name: 'dailyFeesCaptured', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiTransactionsQueryBuilder = DataApiTransactionsQueryBuilder;
//# sourceMappingURL=transactions.query.builder.js.map