"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.DataApiTransfersQueryBuilder = void 0;
const internal_1 = require("./internal");
class DataApiTransfersQueryBuilder extends internal_1.DataApiBaseQueryBuilder {
    constructor() {
        super();
        this.addToPath({ name: 'transfers', args: [] });
    }
    addressToAddress() {
        this.addToPath({ name: 'addressToAddress', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    addressToContract() {
        this.addToPath({ name: 'addressToContract', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    contractToAddress() {
        this.addToPath({ name: 'contractToAddress', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
    contractToContract() {
        this.addToPath({ name: 'contractToContract', args: [], hasQuery: true });
        return new internal_1.DataApiLastOrAggregateQueryBuilder(this);
    }
}
exports.DataApiTransfersQueryBuilder = DataApiTransfersQueryBuilder;
//# sourceMappingURL=transfers.query.builder.js.map